#include "bowl.h"

#include <QCoreApplication>
#include <QDebug>

Bowl::Bowl()
{
    szOwnBowlName = "";
}

Bowl::Bowl(QString sz)
{
    szOwnBowlName = sz;
    qDebug() << "Dins del constructor de Bowl " << sz;
}

void Bowl::pour(Bowl* bowl)
{
    bowl->empty = empty;
    empty = true;
}

void Bowl::put_ingredients(QString sz)
{
    qDebug()<< "Put ingredients " << sz;
    empty = false;
}

void Bowl::cook_and_stir(QString sz)
{
    qDebug() << "Cooking and stiring. 5 seconds. Bowl " << sz;
    delay(5000);
    qDebug() << "----------------------- " << sz;
    qDebug() << "Cooked and stired. Bowl " << sz;
}

void Bowl::eat()
{
    empty = true;
}

void Bowl::delay( int millisecondsToWait )
{
    QTime dieTime = QTime::currentTime().addMSecs( millisecondsToWait );
    while( QTime::currentTime() < dieTime )
    {
        QCoreApplication::processEvents( QEventLoop::AllEvents, 100 );
    }
}
