#include "tomkhagai.h"
#include <QDebug>

TomKhaGai::TomKhaGai()
{
    szOwnName ="";
    bowl = new Bowl();
}

TomKhaGai::TomKhaGai(QString sz,QMutex *m)
{
    szOwnName = sz;
    wok = m;
    qDebug() << "Dins dels constructor TomKhaGai: " << sz;
    bowl = new Bowl(sz);
}

void TomKhaGai::run()
{
    wok->lock();
    qDebug() << "Dins run() de TomKhaGai: " << szOwnName;

    put_ingredients(szOwnName);
    cook_and_stir(szOwnName);
    pour(bowl);

    qDebug() << "Ja es pot servir: "<< szOwnName<<"\n############################";
    wok->unlock();
}

TomKhaGai::~TomKhaGai()
{
    wait();
}
