#include "guest.h"
#include <QDebug>

Guest::Guest()
{
    szOwnGuestName = "";
    soup = new TomKhaGai;

    qRegisterMetaType<Bowl>("Bowl");

    connect(soup, SIGNAL(done(Bowl)),
            this, SLOT(serve(Bowl)),
            Qt::QueuedConnection);

    qDebug() << "soup->start();";
    soup->start();
}

Guest::Guest(QString sz,QMutex *m)
{
    mut = m;
    szOwnGuestName = sz;
    qDebug() << "Guest: " << sz;
    soup = new TomKhaGai("soup "+sz,m);

    qDebug() << "soup->start(); " << sz;
    soup->start();
}

Guest::~Guest()
{
    delete soup;
}
